Package ch.qos.logback.core.pattern.parser

# Class SimpleKeywordNode

java.lang.Object
ch.qos.logback.core.pattern.parser.Node
ch.qos.logback.core.pattern.parser.FormattingNode
ch.qos.logback.core.pattern.parser.SimpleKeywordNode

Direct Known Subclasses:
  `CompositeNode`

public class SimpleKeywordNode extends FormattingNode

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SimpleKeywordNode(int type, Object value)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`List<String>`
`getOptions()`
`int`
`hashCode()`
`void`
`setOptions(List<String> optionList)`
`String`
`toString()`

### Methods inherited from class ch.qos.logback.core.pattern.parser.FormattingNode

`getFormatInfo, setFormatInfo`

### Methods inherited from class ch.qos.logback.core.pattern.parser.Node

`getNext, getType, getValue, setNext`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SimpleKeywordNode

protected SimpleKeywordNode(int type, Object value)

## Method Details

### getOptions

public List<String> getOptions()

### setOptions

public void setOptions(List<String> optionList)

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `FormattingNode`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `FormattingNode`

### toString

public String toString()

Overrides:
  `toString` in class `Node`